#%RAML 1.0 DataType
displayName: BnplLoginRQ
description: Campos de la solicitud del servicio.

type: object
properties: 
  redirectUrl:
    description: |
      URL de redirección del sistema externo para recibir al usuario luego del login correcto.
    type: string
    required: true
  consumerId:
    description: |
      Identificador unico del sistema externo para acceder al producto de BNPL
    type: string
    required: true
  authCode:
    description: |
      Codigo de Autorización generado por el FUA luego del login correcto del usuario
    type: string
    required: true
  clientIp:
    description: |
      IP del sistema externo que está consumiendo la operación
    type: string
    required: true